import { Entity, Enum, ManyToOne, PrimaryKey } from '@mikro-orm/core'
import { BaseEntity } from '#application/bases/baseEntity'
import { Character } from './character'
import { CharacterItem } from './characterItem'
import { CharacterEquipmentSlotType } from '#application/enums'

@Entity()
export class CharacterEquipment extends BaseEntity {
  @PrimaryKey()
  id!: number

  @Enum(() => CharacterEquipmentSlotType)
  slot!: CharacterEquipmentSlotType

  @ManyToOne(() => Character)
  character!: Character

  @ManyToOne(() => CharacterItem)
  characterItem!: CharacterItem
}
