import { Collection, Entity, ManyToOne, OneToMany, PrimaryKey, Property } from '@mikro-orm/core'
import { BaseEntity } from '#application/bases/baseEntity'
import { Character } from './character'
import { Item } from './item'
import { CharacterEquipment } from './characterEquipment'

@Entity()
export class CharacterItem extends BaseEntity {
  @PrimaryKey()
  id!: number

  @ManyToOne(() => Character)
  character!: Character

  @ManyToOne(() => Item)
  item!: Item

  @Property()
  quantity!: number

  @OneToMany(() => CharacterEquipment, (equipment) => equipment.characterItem)
  characterEquipment = new Collection<CharacterEquipment>(this)
}
