import { Entity, ManyToOne, PrimaryKey, Property } from '@mikro-orm/core'
import { BaseEntity } from '#application/bases/baseEntity'
import { Character } from './character'
import { Zone } from './zone'

@Entity()
export class Chat extends BaseEntity {
  @PrimaryKey()
  id!: number

  @ManyToOne(() => Character)
  character!: Character

  @ManyToOne(() => Zone)
  zone!: Zone

  @Property()
  message!: string

  @Property()
  createdAt = new Date()
}
