import { randomUUID } from 'node:crypto'
import { Entity, PrimaryKey, Property } from '@mikro-orm/core'
import { BaseEntity } from '#application/bases/baseEntity'

@Entity()
export class Tile extends BaseEntity {
  @PrimaryKey()
  id = randomUUID()

  @Property()
  name!: string

  @Property({ type: 'json', nullable: true })
  tags?: any

  @Property()
  createdAt = new Date()

  @Property()
  updatedAt = new Date()
}
