import { Entity, ManyToOne, PrimaryKey, Property } from '@mikro-orm/core'
import { BaseEntity } from '#application/bases/baseEntity'
import { Zone } from './zone'
import { MapObject } from '#entities/mapObject'

//@TODO : Rename mapObject
@Entity()
export class ZoneObject extends BaseEntity {
  @PrimaryKey()
  id!: string

  @ManyToOne(() => Zone)
  zone!: Zone

  @ManyToOne(() => MapObject)
  mapObject!: MapObject

  @Property()
  depth = 0

  @Property()
  isRotated = false

  @Property()
  positionX = 0

  @Property()
  positionY = 0
}
