import { gameLogger } from '#application/logger'
import { BaseRepository } from '#application/bases/baseRepository'
import { World } from '#entities/world'

class WorldRepository extends BaseRepository {
  async getFirst() {
    try {
      const repository = this.em.getRepository(World)
      return await repository.findOne({ date: { $exists: true  }})
    } catch (error: any) {
      gameLogger.error(`Failed to get first world: ${error instanceof Error ? error.message : String(error)}`)
    }
  }
}

export default new WorldRepository()
